Loading...
Searching...
No Matches
ccmath.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
Include dependency graph for ccmath.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | complex

## Macros

#define | XMATH 1
#define | NULL ((void *)0
#define | CPX 1

## Typedefs

typedef struct complex | Cpx

## Functions

int | minv (double *a, int n)
int | psinv (double *v, int n)
int | ruinv (double *a, int n)
int | solv (double *a, double *b, int n)
int | solvps (double *s, double *x, int n)
int | solvru (double *a, double *b, int n)
void | solvtd (double *a, double *b, double *c, double *x, int m)
void | eigen (double *a, double *eval, int n)
void | eigval (double *a, double *eval, int n)
double | evmax (double *a, double *u, int n)
int | svdval (double *d, double *a, int m, int n)
int | sv2val (double *d, double *a, int m, int n)
int | svduv (double *d, double *a, double *u, int m, double *v, int n)
int | sv2uv (double *d, double *a, double *u, int m, double *v, int n)
int | svdu1v (double *d, double *a, int m, double *v, int n)
int | sv2u1v (double *d, double *a, int m, double *v, int n)
void | mmul (double *mat, double *a, double *b, int n)
void | rmmult (double *mat, double *a, double *b, int m, int k, int n)
void | vmul (double *vp, double *mat, double *v, int n)
double | vnrm (double *u, double *v, int n)
void | matprt (double *a, int n, int m, char *fmt)
void | fmatprt (FILE *fp, double *a, int n, int m, char *fmt)
void | trnm (double *a, int n)
void | mattr (double *a, double *b, int m, int n)
void | otrma (double *at, double *u, double *a, int n)
void | otrsm (double *st, double *u, double *s0, int n)
void | mcopy (double *a, double *b, int m)
void | ortho (double *evc, int n)
void | smgen (double *a, double *eval, double *evec, int n)
void | house (double *a, double *d, double *ud, int n)
void | housev (double *a, double *d, double *ud, int n)
int | qreval (double *eval, double *ud, int n)
int | qrevec (double *eval, double *evec, double *dp, int n)
int | qrbdi (double *d, double *e, int n)
int | qrbdv (double *d, double *e, double *u, int m, double *v, int n)
int | qrbdu1 (double *d, double *e, double *u, int m, double *v, int n)
void | ldumat (double *a, double *u, int m, int n)
void | ldvmat (double *a, double *v, int n)
void | atou1 (double *a, int m, int n)
void | atovm (double *v, int n)
int | cminv (Cpx *a, int n)
int | csolv (Cpx *a, Cpx *b, int n)
void | heigvec (Cpx *a, double *eval, int n)
void | heigval (Cpx *a, double *eval, int n)
double | hevmax (Cpx *a, Cpx *u, int n)
void | cmmul (Cpx *c, Cpx *a, Cpx *b, int n)
void | cmmult (Cpx *c, Cpx *a, Cpx *b, int m, int k, int n)
void | cvmul (Cpx *vp, Cpx *mat, Cpx *v, int n)
Cpx | cvnrm (Cpx *u, Cpx *v, int n)
void | cmprt (Cpx *a, int n, int m, char *fmt)
void | trncm (Cpx *a, int n)
void | hconj (Cpx *u, int n)
void | cmattr (Cpx *a, Cpx *b, int m, int n)
void | utrncm (Cpx *at, Cpx *u, Cpx *a, int n)
void | utrnhm (Cpx *ht, Cpx *u, Cpx *h0, int n)
void | cmcpy (Cpx *a, Cpx *b, int n)
void | unitary (Cpx *u, int n)
void | hmgen (Cpx *h, double *eval, Cpx *u, int n)
void | chouse (Cpx *a, double *d, double *ud, int n)
void | chousv (Cpx *a, double *d, double *ud, int n)
void | qrecvc (double *eval, Cpx *evec, double *ud, int n)

## Macro Definition Documentation

## CPX

#define CPX 1

Definition at line 50 of file ccmath.h.

## NULL

#define NULL ((void *)0

Definition at line 32 of file ccmath.h.

Referenced by alloc_slice_buff(), alloc_vol_buff(), BM_create(), BM_create_sparse(), BM_destroy_sparse(), BM_dump_map_row_sparse(), BM_dump_map_sparse(), BM_file_read(), BM_file_write_sparse(), BM_get_map_size_sparse(), BM_get_sparse(), BM_set_sparse(), btree_create(), btree_update(), Cairo_Graph_close(), Cdhc_anderson_darling(), Cdhc_anderson_darling_exp(), Cdhc_chi_square(), Cdhc_chi_square_exp(), Cdhc_cramer_von_mises(), Cdhc_cramer_von_mises_exp(), Cdhc_dagostino_d(), Cdhc_dmax(), Cdhc_dmax_exp(), Cdhc_durbins_exact(), Cdhc_royston(), Cdhc_shapiro_francia(), Cdhc_shapiro_wilk(), Cdhc_watson_u2(), Cdhc_watson_u2_exp(), Cdhc_weisberg_bingham(), clean_dir(), COM_Graph_get_file(), COM_Set_font(), correct_twist(), err(), f_atan(), f_exp(), free_data_buffs(), free_datum_list(), free_ellps_list(), free_fontcap(), free_volfile_buffs(), G__first_required_option_from_rules(), G__get_list_of_mapsets(), G__json(), G__matrix_add(), G__md_print_cli_long_version(), G__md_print_cli_short_version(), G__md_print_python_long_version(), G__md_print_python_short_version(), G__temp_element(), G__temp_element_basedir(), G__usage_html(), G__usage_markdown(), G__usage_rest(), G__usage_xml(), G__wps_print_process_description(), G_bz2_compress(), G_bz2_expand(), G_check_input_output_name(), G_color_name(), G_color_rules_options(), G_compare_projections(), G_compressor_name(), G_config_path(), G_copy_file(), G_create_alt_env(), G_database_datum_name(), G_database_units_to_meters_factor(), G_datum_description(), G_datum_ellipsoid(), G_datum_name(), G_debug(), G_define_flag(), G_ellipsoid_description(), G_ellipsoid_name(), G_file_name(), G_file_name_basedir(), G_file_name_misc(), G_file_name_tmp(), G_find_color_rule(), G_find_file(), G_find_file2(), G_find_key_value(), G_fopen_append(), G_fopen_modify(), G_fopen_old(), G_fread_key_value(), G_free_fmatrix(), G_free_fvector(), G_free_imatrix(), G_free_ivector(), G_free_matrix(), G_free_tokens(), G_free_vector(), G_get_3dview(), G_get_available_mapsets(), G_get_basename_separator(), G_get_datumparams_from_projinfo(), G_get_ellipsoid_parameters(), G_get_env_name(), G_get_mapset_name(), G_get_num_decimals(), G_get_projepsg(), G_get_projinfo(), G_get_projsrid(), G_get_projunits(), G_get_projwkt(), G_get_units_name(), G_getenv(), G_getenv2(), G_getl2(), G_has_vector_timestamp(), G_home(), G_init_debug(), G_init_ilist(), G_list(), G_list_color_rules_description_type(), G_ls2(), G_ls_glob_filter(), G_ls_regex_filter(), G_lz4_compress(), G_lz4_expand(), G_make_location(), G_make_location_crs(), G_make_location_epsg(), G_make_mapset(), G_make_mapset_dir_object(), G_make_mapset_element(), G_make_mapset_element_tmp(), G_make_mapset_object_group(), G_make_mapset_object_group_basedir(), G_make_mapset_object_group_tmp(), G_math_A_to_Asp(), G_math_add_spvector(), G_math_Asp_to_A(), G_math_Asp_to_sband_matrix(), G_math_cholesky_sband_invert(), G_math_d_aA_B(), G_math_f_aA_B(), G_math_free_spmatrix(), G_math_free_spvector(), G_math_sband_matrix_to_Asp(), G_math_solver_bicgstab(), G_math_solver_cg(), G_math_solver_cg_sband(), G_math_solver_cholesky_sband_invert(), G_math_solver_pcg(), G_math_solver_pcg_sband(), G_math_solver_sparse_bicgstab(), G_math_solver_sparse_cg(), G_math_solver_sparse_pcg(), G_matrix_copy(), G_matrix_init(), G_matrix_inverse(), G_matrix_LU_solve(), G_matrix_product(), G_matrix_scalar_mul(), G_matrix_scale(), G_matvect_get_column(), G_matvect_get_row(), G_matvect_product(), G_mkstemp_fp(), G_mktemp(), G_new_ilist(), G_no_compress(), G_no_expand(), G_number_of_tokens(), G_open_mail(), G_open_option_file(), G_open_pager(), G_option_to_separator(), G_owner(), G_parser(), G_plot_area(), G_popen_clear(), G_projection_name(), G_put_3dview(), G_putenv(), G_rc_path(), G_read_compressed(), G_read_ellipsoid_table(), G_read_vector_timestamp(), G_recursive_remove(), G_remove(), G_remove_error_handler(), G_rle_compress(), G_rle_expand(), G_set_key_value(), G_set_omp_num_threads(), G_spawn(), G_srand48_auto(), G_store(), G_str_concat(), G_str_replace(), G_strcasestr(), G_tokenize(), G_units(), G_unset_percent_routine(), G_vaprintf(), G_vector_copy(), G_vector_init(), G_vector_product(), G_vector_sub(), G_vfaprintf(), G_vsaprintf(), G_vsnaprintf(), G_write_compressed(), G_write_uncompressed(), G_write_vector_timestamp(), G_zstd_compress(), G_zstd_expand(), get_2key_neighbors(), get_key_data(), get_key_neighbors(), get_pj_area(), get_pj_object(), get_pj_type_string(), GK_add_key(), GK_clear_keys(), gk_copy_key(), gk_draw_path(), gk_make_framesfromkeys(), gk_make_linear_framesfromkeys(), GK_print_keys(), GK_update_frames(), gp_free_site(), gp_free_sitemem(), GP_Get_ClientData(), gp_get_last_site(), gp_get_new_site(), gp_get_prev_site(), gp_get_site(), GP_get_site_list(), GP_get_sitename(), GP_get_style(), GP_get_zmode(), GP_load_site(), Gp_load_sites(), Gp_load_sites_thematic(), gp_set_defaults(), GP_set_style(), GP_set_style_thematic(), GP_set_zmode(), GP_site_exists(), GP_unset_style_thematic(), gp_update_drapesurfs(), gpd_2dsite(), gpd_3dsite(), GPJ__get_datum_params(), GPJ__get_ellipsoid_params(), GPJ_get_datum_by_name(), GPJ_get_datum_transform_by_name(), GPJ_get_default_datum_params_by_name(), GPJ_get_ellipsoid_by_name(), GPJ_get_ellipsoid_params(), GPJ_grass_to_osr(), GPJ_grass_to_osr2(), GPJ_grass_to_wkt(), GPJ_init_transform(), GPJ_osr_to_grass(), GPJ_set_csv_loc(), GPJ_transform(), GPJ_transform_array(), GPJ_wkt_to_grass(), GS_coordpair_repeats(), gs_distance_onsurf(), GS_draw_cplane_fence(), GS_draw_X(), gs_free_surf(), gs_get_att_typbuff(), GS_get_cat_at_xy(), Gs_get_cat_label(), GS_Get_ClientData(), GS_get_distance_alongsurf(), gs_get_last_surface(), gs_get_new_surface(), GS_get_norm_at_xy(), gs_get_prev_surface(), gs_get_surf(), GS_get_surf_list(), GS_get_val_at_xy(), GS_get_zextents(), gs_init(), gs_init_surf(), Gs_load_3dview(), GS_load_att_map(), gs_los_intersect(), gs_los_intersect1(), gs_malloc_lookup(), Gs_save_3dview(), gs_set_att_src(), gs_set_defaults(), GS_surf_exists(), GS_transp_is_set(), GS_unset_SDsurf(), Gs_update_attrange(), gs_update_curmask(), GS_write_ppm(), GS_write_tif(), GS_write_zoom(), gsd_arrow(), gsd_put_legend(), gsd_surf_const(), gsd_wire_surf_const(), gsdiff_get_SDref(), gsdrape_get_allsegments(), gsdrape_get_segments(), gsdrape_set_surface(), gsds_alloc_typbuff(), gsds_free_datah(), gsds_get_name(), gsds_get_typbuff(), gsds_newh(), gv_decimate_lines(), gv_free_vect(), gv_free_vectmem(), GV_Get_ClientData(), gv_get_last_vect(), gv_get_new_vect(), gv_get_prev_vect(), GV_get_style(), gv_get_vect(), GV_get_vect_list(), GV_get_vectname(), Gv_load_vect(), GV_load_vector(), gv_set_defaults(), GV_set_style(), GV_set_style_thematic(), GV_unset_style_thematic(), gv_update_drapesurfs(), GV_vect_exists(), gvd_vect(), gvl_align_data(), gvl_file_free_datah(), gvl_file_get_name(), gvl_file_get_volfile(), gvl_file_newh(), gvl_file_set_mode(), gvl_free_vol(), GVL_Get_ClientData(), gvl_get_last_vol(), gvl_get_new_vol(), gvl_get_prev_vol(), gvl_get_vol(), GVL_get_vol_list(), GVL_get_volname(), GVL_init_region(), gvl_init_vol(), gvl_isosurf_calc(), gvl_isosurf_get_isosurf(), gvl_isosurf_init(), Gvl_load_colors_data(), GVL_load_vol(), GVL_slice_add(), gvl_slice_get_slice(), gvl_slice_init(), GVL_vol_exists(), HTML_Driver(), HTML_Graph_close(), HTML_Graph_set(), html_polygon(), I_cluster_begin(), I_cluster_clear(), I_cluster_exec_allocate(), I_cluster_exec_free(), IL_check_at_points_2d_cvdev(), IL_create_bitmask(), IL_grid_calc_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_matrix_create(), IL_output_2d(), IL_resample_interp_segments_2d(), IL_resample_output_2d(), IL_secpar_loop_2d(), IL_vector_input_data_2d(), IL_write_temp_2d(), json_array_append_boolean(), json_array_append_null(), json_array_append_number(), json_array_append_string(), json_array_append_string_with_len(), json_array_append_value(), json_array_clear(), json_array_get_value(), json_array_get_wrapping_value(), json_array_remove(), json_array_replace_boolean(), json_array_replace_null(), json_array_replace_number(), json_array_replace_string(), json_array_replace_string_with_len(), json_array_replace_value(), json_object_clear(), json_object_dothas_value(), json_object_dothas_value_of_type(), json_object_dotset_boolean(), json_object_dotset_null(), json_object_dotset_number(), json_object_dotset_string(), json_object_dotset_string_with_len(), json_object_dotset_value(), json_object_get_name(), json_object_get_value(), json_object_get_value_at(), json_object_get_wrapping_value(), json_object_has_value(), json_object_has_value_of_type(), json_object_set_value(), json_parse_file(), json_parse_file_with_comments(), json_parse_string(), json_parse_string_with_comments(), json_serialization_size(), json_serialization_size_pretty(), json_serialize_to_buffer(), json_serialize_to_buffer_pretty(), json_serialize_to_file(), json_serialize_to_file_pretty(), json_serialize_to_string(), json_serialize_to_string_pretty(), json_set_float_serialization_format(), json_validate(), json_value_deep_copy(), json_value_equals(), json_value_get_array(), json_value_get_object(), json_value_get_parent(), json_value_get_string(), json_value_init_array(), json_value_init_boolean(), json_value_init_null(), json_value_init_number(), json_value_init_object(), json_value_init_string(), json_value_init_string_with_len(), kdtree_clear(), kdtree_create(), kdtree_destroy(), kdtree_dnn(), kdtree_remove(), kdtree_rnn(), kdtree_traverse(), link_cleanup(), link_dispose(), link_init(), link_new(), LZ4_compress_fast_extState_fastReset(), LZ4_createStream(), LZ4_saveDict(), M__empty(), M_define_option(), M_do_list(), M_do_remove(), M_do_rename(), M_get_list(), main(), MT_divide(), MT_functions_new(), MT_insert(), MT_region_data(), MT_tree_info_new(), MT_tree_new(), N_alloc_array_2d(), N_alloc_array_3d(), N_alloc_geom_data(), N_alloc_gwflow_data2d(), N_alloc_gwflow_data3d(), N_alloc_les_param(), N_alloc_solute_transport_data2d(), N_alloc_solute_transport_data3d(), N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_callback_solute_transport_2d(), N_callback_solute_transport_3d(), N_compute_gradient_field_2d(), N_compute_gradient_field_3d(), N_create_gradient_neighbours_2d(), N_create_gradient_neighbours_3d(), N_free_array_2d(), N_free_array_3d(), N_free_geom_data(), N_free_gradient_2d(), N_free_gradient_3d(), N_free_gradient_field_2d(), N_free_gradient_field_3d(), N_free_gradient_neighbours_2d(), N_free_gradient_neighbours_3d(), N_free_gradient_neighbours_x(), N_free_gradient_neighbours_y(), N_free_gradient_neighbours_z(), N_free_gwflow_data2d(), N_free_gwflow_data3d(), N_free_solute_transport_data2d(), N_free_solute_transport_data3d(), N_get_array_2d_value(), N_get_array_3d_value(), N_get_gradient_neighbours_2d(), N_init_geom_data_2d(), N_init_geom_data_3d(), N_is_array_2d_value_null(), N_is_array_3d_value_null(), N_math_array_2d(), N_math_array_3d(), N_put_array_2d_value(), N_put_array_2d_value_null(), N_put_array_3d_value(), N_put_array_3d_value_null(), N_read_rast3d_to_array_3d(), N_read_rast_to_array_2d(), N_write_array_2d_to_rast(), N_write_array_3d_to_rast3d(), new_chain(), new_line(), new_part(), new_symbol(), Nviz_create_render_window(), Nviz_delete_scalebar(), Nviz_destroy_data(), Nviz_get_exag(), Nviz_get_exag_height(), Nviz_init_data(), Nviz_init_render_window(), Nviz_new_fringe(), Nviz_new_map_obj(), Nviz_set_fringe(), Nviz_set_scalebar(), open_g3d_file(), open_stream(), open_stream(), open_volfile(), P_estimate_splinestep(), P_Read_Vector_Region_Map(), parse_fontcap(), path_init(), pj_do_transform(), pj_get_kv(), pj_get_string(), pj_print_proj_params(), PNG_Driver(), post_exec(), pre_exec(), PS_Driver(), quad_add_data(), quad_compare(), quad_data_new(), quad_divide_data(), quad_division_check(), quad_point_new(), rbtree_clear(), rbtree_create(), rbtree_debug(), rbtree_destroy(), rbtree_find(), rbtree_insert(), rbtree_remove(), rbtree_traverse(), rbtree_traverse_backwd(), rbtree_traverse_start(), read_cube(), read_datum_table(), read_ellipsoid_table(), read_png(), Rowio_get(), Rowio_release(), Rowio_setup(), S_read(), seg_setup(), Segment_close(), Segment_open(), set_proj_share(), smallest_segment(), soft_text(), soft_text_freetype(), translate_quad(), and write_png().

## XMATH

#define XMATH 1

Definition at line 21 of file ccmath.h.

## Typedef Documentation

## Cpx

typedef struct complex Cpx

Definition at line 41 of file ccmath.h.

## Function Documentation

## atou1()

void atou1 | ( | double * | a,
|  | int | m,
|  | int | n )

Definition at line 9 of file atou1.c.

Referenced by sv2u1v(), and svdu1v().

## atovm()

void atovm | ( | double * | v,
|  | int | n )

Definition at line 8 of file atovm.c.

Referenced by sv2u1v().

## chouse()

void chouse | ( | Cpx * | a,
|  | double * | d,
|  | double * | ud,
|  | int | n )

Definition at line 12 of file chouse.c.

References complex::im, complex::re, and x.

Referenced by heigval().

## chousv()

void chousv | ( | Cpx * | a,
|  | double * | d,
|  | double * | ud,
|  | int | n )

Definition at line 12 of file chousv.c.

References complex::im, complex::re, and x.

Referenced by heigvec().

## cmattr()

void cmattr | ( | Cpx * | a,
|  | Cpx * | b,
|  | int | m,
|  | int | n )

Definition at line 11 of file cmattr.c.

References b.

## cmcpy()

void cmcpy | ( | Cpx * | a,
|  | Cpx * | b,
|  | int | n )

Definition at line 11 of file cmcpy.c.

References b.

Referenced by hmgen().

## cminv()

int cminv | ( | Cpx * | a,
|  | int | n )

Definition at line 12 of file cminv.c.

References complex::im, ps, complex::re, and t.

## cmmul()

void cmmul | ( | Cpx * | c,
|  | Cpx * | a,
|  | Cpx * | b,
|  | int | n )

Definition at line 11 of file cmmul.c.

References b, complex::im, complex::re, and trncm().

Referenced by hmgen().

## cmmult()

void cmmult | ( | Cpx * | c,
|  | Cpx * | a,
|  | Cpx * | b,
|  | int | m,
|  | int | k,
|  | int | n )

Definition at line 12 of file cmmult.c.

References b, complex::im, l, and complex::re.

## cmprt()

void cmprt | ( | Cpx * | a,
|  | int | n,
|  | int | m,
|  | char * | fmt )

Definition at line 11 of file cmprt.c.

References complex::im, and complex::re.

## csolv()

int csolv | ( | Cpx * | a,
|  | Cpx * | b,
|  | int | n )

Definition at line 12 of file csolv.c.

References b, complex::im, ps, complex::re, and t.

## cvmul()

void cvmul | ( | Cpx * | vp,
|  | Cpx * | mat,
|  | Cpx * | v,
|  | int | n )

Definition at line 11 of file cvmul.c.

References complex::im, and complex::re.

## cvnrm()

Cpx cvnrm | ( | Cpx * | u,
|  | Cpx * | v,
|  | int | n )

Definition at line 26 of file cvmul.c.

References complex::im, and complex::re.

## eigen()

void eigen | ( | double * | a,
|  | double * | eval,
|  | int | n )

Definition at line 10 of file eigen.c.

References housev(), qrevec(), and trnm().

Referenced by G_math_eigen().

## eigval()

void eigval | ( | double * | a,
|  | double * | eval,
|  | int | n )

Definition at line 10 of file eigval.c.

References house(), and qreval().

Referenced by G_math_eigval().

## evmax()

double evmax | ( | double * | a,
|  | double * | u,
|  | int | n )

Definition at line 10 of file evmax.c.

References r, and t.

Referenced by G_math_evmax().

## fmatprt()

void fmatprt | ( | FILE * | fp,
|  | double * | a,
|  | int | n,
|  | int | m,
|  | char * | fmt )

Definition at line 24 of file matprt.c.

## hconj()

void hconj | ( | Cpx * | u,
|  | int | n )

Definition at line 11 of file hconj.c.

References complex::im, and complex::re.

Referenced by heigvec(), and hmgen().

## heigval()

void heigval | ( | Cpx * | a,
|  | double * | eval,
|  | int | n )

Definition at line 12 of file heigval.c.

References chouse(), and qreval().

## heigvec()

void heigvec | ( | Cpx * | a,
|  | double * | eval,
|  | int | n )

Definition at line 12 of file heigvec.c.

References chousv(), hconj(), and qrecvc().

## hevmax()

double hevmax | ( | Cpx * | a,
|  | Cpx * | u,
|  | int | n )

Definition at line 12 of file hevmax.c.

References complex::im, complex::re, t, and x.

## hmgen()

void hmgen | ( | Cpx * | h,
|  | double * | eval,
|  | Cpx * | u,
|  | int | n )

Definition at line 12 of file hmgen.c.

References cmcpy(), cmmul(), hconj(), complex::im, and complex::re.

## house()

void house | ( | double * | a,
|  | double * | d,
|  | double * | ud,
|  | int | n )

Definition at line 10 of file house.c.

References x.

Referenced by eigval().

## housev()

void housev | ( | double * | a,
|  | double * | d,
|  | double * | ud,
|  | int | n )

Definition at line 10 of file housev.c.

References x.

Referenced by eigen().

## ldumat()

void ldumat | ( | double * | a,
|  | double * | u,
|  | int | m,
|  | int | n )

Definition at line 9 of file ldumat.c.

Referenced by sv2uv(), and svduv().

## ldvmat()

void ldvmat | ( | double * | a,
|  | double * | v,
|  | int | n )

Definition at line 8 of file ldvmat.c.

Referenced by sv2uv(), svdu1v(), and svduv().

## matprt()

void matprt | ( | double * | a,
|  | int | n,
|  | int | m,
|  | char * | fmt )

Definition at line 11 of file matprt.c.

## mattr()

void mattr | ( | double * | a,
|  | double * | b,
|  | int | m,
|  | int | n )

Definition at line 8 of file mattr.c.

References b.

## mcopy()

void mcopy | ( | double * | a,
|  | double * | b,
|  | int | m )

Definition at line 8 of file mcopy.c.

References b.

## minv()

int minv | ( | double * | a,
|  | int | n )

Definition at line 10 of file minv.c.

References ps, and t.

Referenced by G_math_minv().

## mmul()

void mmul | ( | double * | mat,
|  | double * | a,
|  | double * | b,
|  | int | n )

Definition at line 9 of file mmul.c.

References b, and trnm().

## ortho()

void ortho | ( | double * | evc,
|  | int | n )

Definition at line 11 of file ortho.c.

References unfl().

## otrma()

void otrma | ( | double * | at,
|  | double * | u,
|  | double * | a,
|  | int | n )

Definition at line 9 of file otrma.c.

References b, and t.

## otrsm()

void otrsm | ( | double * | st,
|  | double * | u,
|  | double * | s0,
|  | int | n )

Definition at line 9 of file otrsm.c.

References b, and t.

## psinv()

int psinv | ( | double * | v,
|  | int | n )

Definition at line 9 of file psinv.c.

References r, t, and trnm().

Referenced by G_math_psinv().

## qrbdi()

int qrbdi | ( | double * | d,
|  | double * | e,
|  | int | n )

Definition at line 9 of file qrbdi.c.

References b, t, and x.

Referenced by sv2val(), and svdval().

## qrbdu1()

int qrbdu1 | ( | double * | d,
|  | double * | e,
|  | double * | u,
|  | int | m,
|  | double * | v,
|  | int | n )

Definition at line 9 of file qrbdu1.c.

References b, t, and x.

Referenced by sv2u1v(), and svdu1v().

## qrbdv()

int qrbdv | ( | double * | d,
|  | double * | e,
|  | double * | u,
|  | int | m,
|  | double * | v,
|  | int | n )

Definition at line 9 of file qrbdv.c.

References b, t, and x.

Referenced by sv2uv(), and svduv().

## qrecvc()

void qrecvc | ( | double * | eval,
|  | Cpx * | evec,
|  | double * | ud,
|  | int | n )

Definition at line 11 of file qrecvc.c.

References complex::im, complex::re, and x.

Referenced by heigvec().

## qreval()

int qreval | ( | double * | eval,
|  | double * | ud,
|  | int | n )

Definition at line 9 of file qreval.c.

References x.

Referenced by eigval(), and heigval().

## qrevec()

int qrevec | ( | double * | eval,
|  | double * | evec,
|  | double * | dp,
|  | int | n )

Definition at line 9 of file qrevec.c.

References x.

Referenced by eigen().

## rmmult()

void rmmult | ( | double * | mat,
|  | double * | a,
|  | double * | b,
|  | int | m,
|  | int | k,
|  | int | n )

Definition at line 9 of file rmmult.c.

References b, and l.

## ruinv()

int ruinv | ( | double * | a,
|  | int | n )

Definition at line 8 of file ruinv.c.

References r, and t.

Referenced by G_math_ruinv().

## smgen()

void smgen | ( | double * | a,
|  | double * | eval,
|  | double * | evec,
|  | int | n )

Definition at line 8 of file smgen.c.

References ps, r, and t.

## solv()

int solv | ( | double * | a,
|  | double * | b,
|  | int | n )

Definition at line 10 of file solv.c.

References b, ps, and t.

Referenced by G_math_solv().

## solvps()

int solvps | ( | double * | s,
|  | double * | x,
|  | int | n )

Definition at line 9 of file solvps.c.

References b, r, and t.

Referenced by G_math_solvps().

## solvru()

int solvru | ( | double * | a,
|  | double * | b,
|  | int | n )

Definition at line 8 of file solvru.c.

References b, and t.

Referenced by G_math_solvru().

## solvtd()

void solvtd | ( | double * | a,
|  | double * | b,
|  | double * | c,
|  | double * | x,
|  | int | m )

Definition at line 8 of file solvtd.c.

References b, and x.

Referenced by G_math_solvtd().

## sv2u1v()

int sv2u1v | ( | double * | d,
|  | double * | a,
|  | int | m,
|  | double * | v,
|  | int | n )

Definition at line 10 of file sv2u1v.c.

References atou1(), atovm(), qrbdu1(), r, and t.

## sv2uv()

int sv2uv | ( | double * | d,
|  | double * | a,
|  | double * | u,
|  | int | m,
|  | double * | v,
|  | int | n )

Definition at line 10 of file sv2uv.c.

References ldumat(), ldvmat(), qrbdv(), r, and t.

Referenced by G_math_sv2uv().

## sv2val()

int sv2val | ( | double * | d,
|  | double * | a,
|  | int | m,
|  | int | n )

Definition at line 10 of file sv2val.c.

References qrbdi().

Referenced by G_math_sv2val().

## svdu1v()

int svdu1v | ( | double * | d,
|  | double * | a,
|  | int | m,
|  | double * | v,
|  | int | n )

Definition at line 10 of file svdu1v.c.

References atou1(), ldvmat(), qrbdu1(), r, and t.

Referenced by G_math_svdu1v().

## svduv()

int svduv | ( | double * | d,
|  | double * | a,
|  | double * | u,
|  | int | m,
|  | double * | v,
|  | int | n )

Definition at line 10 of file svduv.c.

References ldumat(), ldvmat(), qrbdv(), r, and t.

Referenced by G_math_svduv().

## svdval()

int svdval | ( | double * | d,
|  | double * | a,
|  | int | m,
|  | int | n )

Definition at line 10 of file svdval.c.

References qrbdi().

Referenced by G_math_svdval().

## trncm()

void trncm | ( | Cpx * | a,
|  | int | n )

Definition at line 11 of file trncm.c.

Referenced by cmmul().

## trnm()

void trnm | ( | double * | a,
|  | int | n )

Definition at line 8 of file trnm.c.

Referenced by eigen(), mmul(), and psinv().

## unitary()

void unitary | ( | Cpx * | u,
|  | int | n )

Definition at line 18 of file unitary.c.

References g, complex::im, r, complex::re, and unfl().

## utrncm()

void utrncm | ( | Cpx * | at,
|  | Cpx * | u,
|  | Cpx * | a,
|  | int | n )

Definition at line 12 of file utrncm.c.

References b, complex::im, complex::re, and t.

## utrnhm()

void utrnhm | ( | Cpx * | ht,
|  | Cpx * | u,
|  | Cpx * | h0,
|  | int | n )

Definition at line 12 of file utrnhm.c.

References b, complex::im, complex::re, and t.

## vmul()

void vmul | ( | double * | vp,
|  | double * | mat,
|  | double * | v,
|  | int | n )

Definition at line 8 of file vmul.c.

## vnrm()

double vnrm | ( | double * | u,
|  | double * | v,
|  | int | n )

Definition at line 21 of file vmul.c.